//
//  AppController.h
//  BSTwitterApp
//
//  Created by Brent Simmons on 4/26/07.
//  Copyright 2007 Brent Simmons. All rights reserved.
//


#import <Cocoa/Cocoa.h>
#import <WebKit/WebKit.h>


@interface AppController : NSObject {

	@private
		IBOutlet NSWindow *_twitterWindow;
		IBOutlet WebView *_webview;
		IBOutlet NSTextField *_usernameTextField;
		IBOutlet NSTextField *_passwordTextField;
		IBOutlet NSProgressIndicator *_progressIndicator;
		
		NSString *_username;
		NSString *_password;
		BOOL _apiCallInProgress;
	}


- (IBAction)refreshFriendsTweets:(id)sender;
- (IBAction)saveUsernameAndPassword:(id)sender;

@end
