//
//  BSTwitterAPICall.h
//  BSTwitterApp
//
//  Created by Brent Simmons on 4/26/07.
//  Copyright 2007 Brent Simmons. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface BSTwitterAPICall : NSObject {

	@private
		id _delegate;
		SEL _callbackSelector;
		NSString *_username;
		NSString *_password;
		NSURLResponse *_urlResponse;
		NSURLConnection *_urlConnection;
		NSMutableData *_downloadData;
		BOOL _didSucceed;
	}


- (id)initWithUsername:(NSString *)username password:(NSString *)password delegate:(id)delegate callbackSelector:(SEL)aSelector;
- (void)refreshFriendsTweets;
- (BOOL)didSucceed;
- (NSMutableData *)downloadData;


@end
